"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
;/* empty css         */
const _pluginVue_exportHelper = require("../../../../../../_virtual/_plugin-vue_export-helper.js");
const _hoisted_1 = ["id"];
const _hoisted_2 = { class: "fec-label" };
const _hoisted_3 = { class: "fec-label-title" };
const _hoisted_4 = { class: "fec-label-sub-title" };
const _hoisted_5 = { class: "fec-buttons" };
const _hoisted_6 = { class: "left" };
const _hoisted_7 = { class: "right" };
const _sfc_main = {
  __name: "H2",
  props: {
    config: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", {
        class: "fec-h2",
        id: `comp_${__props.config.id}`
      }, [
        _cache[0] || (_cache[0] = Vue.createElementVNode("div", { class: "fec-label-line" }, null, -1)),
        Vue.createElementVNode("div", _hoisted_2, [
          Vue.createElementVNode("div", _hoisted_3, Vue.toDisplayString(__props.config.label), 1),
          Vue.createElementVNode("div", _hoisted_4, Vue.toDisplayString(__props.config.subLabel), 1)
        ]),
        Vue.createElementVNode("div", _hoisted_5, [
          Vue.createElementVNode("div", _hoisted_6, [
            Vue.renderSlot(_ctx.$slots, "left", {}, void 0, true)
          ]),
          Vue.createElementVNode("div", _hoisted_7, [
            Vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
          ])
        ])
      ], 8, _hoisted_1);
    };
  }
};
const _H2 = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-e871241a"]]);
exports.default = _H2;
